/*
Copyright 2011 Savior
https://github.com/provirus/Savior

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package ca.pgon.saviorlib.Exceptions;

@SuppressWarnings("serial")
public class FileSystemException extends RuntimeException {
    private Exception exception;
    
    public FileSystemException(String message) {
        super(message);
    }

    public FileSystemException(String message, Exception exception) {
        super(message);
        this.exception = exception;
    }

    public Exception getExeption() {
        return exception;
    }
}
